Deploy agent
curl --request POST \
--url https://api.callrounded.com/v1/agents/{agent_id}/deploy \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.callrounded.com/v1/agents/{agent_id}/deploy"
headers = {"X-Api-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.callrounded.com/v1/agents/{agent_id}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"version": 123,
"configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
},
"message": "Agent deployed successfully",
"error": {
"details": [
{
"field": "email",
"message": "Invalid email format"
}
],
"message": "An error occurred while processing your request",
"status": 400,
"type": "generic_error"
},
"status": 200
}agents
Deploy agent
Deploy a specific version or the latest draft configuration of an agent by setting it as the published configuration. This makes the specified configuration live and active for agent’s phone and web calls. The response includes headers about rate limiting.
POST
/
v1
/
agents
/
{agent_id}
/
deploy
Deploy agent
Authorizations
The API Key created in Rounded Studio.
- You can create it by going to the "API Keys" settings of your profile.
- Need help? You can email us at team@callrounded.com or join our Discord community.
Path Parameters
The ID of the agent to deploy.
Query Parameters
The configuration version of the agent to deploy. If not provided, the latest draft version is deployed.
Response
Successfully deployed agent configuration version
The deployed agent basic data.
Show child attributes
Show child attributes
Response message indicating the result of the operation.
Show child attributes
Show child attributes
Example:
{
"details": [
{
"field": "email",
"message": "Invalid email format"
}
],
"message": "An error occurred while processing your request",
"status": 400,
"type": "generic_error"
}
HTTP status code of the response.